module data_holder( // Holds data until the posedge of slower CLK_DIV
	input wire nRST,
	input wire CLK_DIV,
	input wire EDGE_INP,
	output reg OUTP
);

	always @(posedge CLK_DIV or posedge EDGE_INP or negedge nRST) begin
		if( ~nRST ) OUTP <= 0;
		else if( EDGE_INP ) OUTP <= 1;
		else OUTP <= 0;
	end

endmodule
