module buzzer_controller(
	input wire nRST,
	input wire CLK,
	input wire [31:0] CLK_DIVISOR,
	input wire OUTPUT_EN,
	output wire OUTP
);

	wire buz_clk;
	clk_divider u_clkdiv(
		.nRST(nRST),
		.CLK_IN(CLK),
		.COUNTER_MAX(CLK_DIVISOR),
		.CLK_OUT(buz_clk)
	);

	assign OUTP = OUTPUT_EN & buz_clk;

endmodule
