module pulsegen_1hz(
	input wire nRST,
	input wire CLK,
	output reg OUTP
);

	reg [26:0] cnt;

	always @(negedge nRST or posedge CLK) begin
		if( ~nRST ) begin
			cnt <= 27'd0;
			OUTP <= 0;
		end
		else begin
			cnt <= (cnt == 27'd124_999_999) ? 27'd0 : cnt + 27'd1;
			if( cnt == 27'd124_999_999 ) OUTP <= 1;
			else OUTP <= 0;
		end

	end

endmodule
